Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » TMF (Xtext) » Guava dependency and compatibility
Guava dependency and compatibility [message #1022447] Thu, 21 March 2013 18:32 Go to next message
Hallvard Traetteberg is currently offline Hallvard Traetteberg
Messages: 594
Registered: July 2009
Location: Trondheim, Norway
Senior Member
Hi,

In https://bugs.eclipse.org/bugs/show_bug.cgi?id=370651 is it noted that
Xtext should be compatible with both guava 10 and 11, to allow other
plugins (e.g. Kieler) to pull in guava 11 (when Xtext depends on guava 10).

The bug is closed as fixed, but when I recently installed Kieler, I got
the same problem as reported in the bug. I believe the offending class
this time is EclipsePreferencesProvider in xtext.ui.

Hallvard
Re: Guava dependency and compatibility [message #1037199 is a reply to message #1022447] Tue, 09 April 2013 05:24 Go to previous message
Tim Geisler is currently offline Tim Geisler
Messages: 37
Registered: July 2009
Member
Hi all,

is there any solution or workaround for this problem? Xtext (2.4.0) seems to require Guava 10 which leads to the abovementioned problems if other plugins are present which require Guava 11.

Best regards,

Tim
Previous Topic:RFC: Indentation based grammar
Next Topic:GraphView style grammar breaks in Xtext 2.4
Goto Forum:
  


Current Time: Sat Aug 23 15:36:27 EDT 2014

Powered by FUDForum. Page generated in 0.07698 seconds